package com.mvc.dao;

import com.mvc.entity.UnitWaterData;
import com.mvc.entity.UnitWaterDataExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

public interface UnitWaterDataMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    long countByExample(UnitWaterDataExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int deleteByExample(UnitWaterDataExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int insert(UnitWaterData record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int insertSelective(UnitWaterData record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    List<UnitWaterData> selectByExampleWithRowbounds(UnitWaterDataExample example, RowBounds rowBounds);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    List<UnitWaterData> selectByExample(UnitWaterDataExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    UnitWaterData selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int updateByExampleSelective(@Param("record") UnitWaterData record, @Param("example") UnitWaterDataExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int updateByExample(@Param("record") UnitWaterData record, @Param("example") UnitWaterDataExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int updateByPrimaryKeySelective(UnitWaterData record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-15 15:22:38
     */
    int updateByPrimaryKey(UnitWaterData record);
}